Bug 472233 - (CVE-2008-5352) CVE-2008-5352 OpenJDK Jar200 Decompression buffer overflow (6755943)
CVE-2008-5352 OpenJDK Jar200 Decompression buffer overflow (6755943)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=sun,public=20081204,reported=2...
: Reopened, Security
Depends On: 473317 479814 479815 479822 479823
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 09:50 EST by Marc Schoenefeld
Modified: 2015-08-22 12:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 12:40:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Marc Schoenefeld 2008-12-05 04:36:59 EST
Name: CVE-2008-5352
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5352
Reference: SUNALERT:244992
Reference: URL:http://sunsolve.sun.com/search/document.do?assetkey=1-26-244992-1
Reference: IDEFENSE:20081204 Sun Java JRE Pack200 Decompression Integer Overflow Vulnerability
Reference: URL:http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=759

Integer overflow in the JAR unpacking utility (unpack200) in the
unpack library (unpack.dll) in Java Runtime Environment (JRE) for Sun
JDK and JRE 6 Update 10 and earlier, and JDK and JRE 5.0 Update 16 and
earlier, allows untrusted applications and applets to gain privileges
via a Pack200 compressed JAR file that triggers a heap-based buffer
overflow.
Comment 3 Fedora Update System 2008-12-06 23:27:36 EST
java-1.6.0-openjdk-1.6.0.0-0.20.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-12-06 23:33:18 EST
java-1.6.0-openjdk-1.6.0.0-7.b12.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Jan Lieskovsky 2008-12-08 04:18:23 EST
Another mention of this issue:

http://secunia.com/advisories/32991/ (Point 15) ).
Comment 10 errata-xmlrpc 2009-05-07 07:45:59 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.2

Via RHSA-2009:0466 https://rhn.redhat.com/errata/RHSA-2009-0466.html
Comment 11 errata-xmlrpc 2009-05-07 08:11:33 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.2

Via RHSA-2009:0466 https://rhn.redhat.com/errata/RHSA-2009-0466.html

Note You need to log in before you can comment on or make changes to this bug.